---
title: CSSScale.x
slug: Web/API/CSSScale/x
tags:
  - API
  - CSS Typed Object Model API
  - CSSScale
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>x</code></strong> property of the {{domxref("CSSScale")}} interface gets and sets the abscissa or x-axis of the translating vector.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>scaleX</em> = CSSScale.x;</pre>

<h3 id="Value">Value</h3>

<p>A double integer or a {{domxref("CSSNumericValue")}}</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssscale-x','x')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSScale.x")}}</p>
